- [HTTP request](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/create#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/create#body.request_body)
- [Response body](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/create#body.response_body)
- [Authorization scopes](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/create#body.aspect)
- [Examples](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/create#examples)
- [Try it!](https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints/create#try-it)

Creates a single identifiable data point.

### HTTP request

`POST https://health.googleapis.com/v4/{parent=users/*/dataTypes/*}/dataPoints`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/health/reference/rest/v4/errors)

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource name where the data point will be created. Format: `users/{user}/dataTypes/{dataType}` It takes the form `users/{user}/dataTypes/{datatype}`. |

### Request body

The request body contains an instance of `https://developers.google.com/health/reference/rest/v4/users.dataTypes.dataPoints#DataPoint`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/health/reference/rest/Shared.Types/Operation`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/googlehealth.activity_and_fitness.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.health_metrics_and_measurements.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.nutrition.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.sleep.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.reproductive_health.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.logged_symptoms.writeonly`
- `
  https://www.googleapis.com/auth/googlehealth.mindfulness.writeonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).